Subject: Re: bug#23995: 25.1.50; cl-defmethod with :extra qualifier can't be edebugged

From: Gemini Lasswell <[email-masked]>
Date: Thu, 02 Mar 2017 18:50:47 -0800

Eric Abrahamsen <[email-masked]> writes:

> cl-defmethod forms with an :extra qualifier can't be instrumented for
> edebugging, presumably because the extra string tag isn't accounted for,
> and it tries to parse the arglist as the lambda. The error message is:
>
> edebug-syntax-error: Invalid read syntax: "Expected lambda expression"
>
> In addition, the string tag is highlighted as a docstring.

I've just sent a patch for bug#24753 which includes a change to make
Edebug work on methods which use :extra. The string tag is still
highlighted incorrectly.